

#include "BUILTIN.h"
extern OBJ _AOrderingByLess_3(OBJ,OBJ,OBJ);OBJ __AOrderingByLess_3; /* > */
extern OBJ _AOrderingByLess_4(OBJ,OBJ,OBJ);OBJ __AOrderingByLess_4; /* >= */
extern OBJ _AOrderingByLess_5(OBJ,OBJ,OBJ);OBJ __AOrderingByLess_5; /* <= */
extern OBJ _AOrderingByLess_6(OBJ,OBJ,OBJ);OBJ __AOrderingByLess_6; /* = */
extern OBJ _AOrderingByLess_7(OBJ,OBJ,OBJ);OBJ __AOrderingByLess_7; /* |= */

extern OBJ _AOrderingByLess_3(OBJ x1,OBJ x2,OBJ x3) /* > */
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x1,2))(x1,x3,x2);
 return r;}

extern OBJ _AOrderingByLess_4(OBJ x1,OBJ x2,OBJ x3) /* >= */
{OBJ r;
 CPCLS(x1,1);
 COPY(x2,1);
 COPY(x3,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x1,2))(x1,x3,x2);
  if(ISTGPRM(x4,1)){
   FRCLS(x1,1);
   FREE(x2,1);
   FREE(x3,1);
   r=__ABUILTIN_5;
  }else{
   {OBJ x5;
    x5=_AOrderingByLess_7(x1,x2,x3);
    if(ISTGPRM(x5,1)){
     r=__ABUILTIN_3;
    }else{
     r=__ABUILTIN_5;}}}}
 return r;}

extern OBJ _AOrderingByLess_5(OBJ x1,OBJ x2,OBJ x3) /* <= */
{OBJ r;
 CPCLS(x1,1);
 COPY(x2,1);
 COPY(x3,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x1,2))(x1,x2,x3);
  if(ISTGPRM(x4,1)){
   FRCLS(x1,1);
   FREE(x2,1);
   FREE(x3,1);
   r=__ABUILTIN_5;
  }else{
   {OBJ x5;
    x5=_AOrderingByLess_7(x1,x2,x3);
    if(ISTGPRM(x5,1)){
     r=__ABUILTIN_3;
    }else{
     r=__ABUILTIN_5;}}}}
 return r;}

extern OBJ _AOrderingByLess_6(OBJ x1,OBJ x2,OBJ x3) /* = */
{OBJ r;
 {OBJ x4;
  x4=_AOrderingByLess_7(x1,x2,x3);
  if(ISTGPRM(x4,1)){
   r=__ABUILTIN_3;
  }else{
   r=__ABUILTIN_5;}}
 return r;}

extern OBJ _AOrderingByLess_7(OBJ x1,OBJ x2,OBJ x3) /* |= */
{OBJ r;
 CPCLS(x1,1);
 COPY(x2,1);
 COPY(x3,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x1,2))(x1,x3,x2);
  if(ISTGPRM(x4,1)){
   FRCLS(x1,1);
   FREE(x2,1);
   FREE(x3,1);
   r=__ABUILTIN_5;
  }else{
   r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(x1,2))(x1,x2,x3);}}
 return r;}

static OBJ _mt_3_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,1);
 FLDCLS(r,1)=t1;
 return r;}

static OBJ _mt_3_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3);
 return r;}

static OBJ _mt_3_1_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),t1,t2);
 return r;}

init_AOrderingByLess()
{
 static int visited=0; if(visited) return; visited=1;
 CLS(3,_AOrderingByLess_7,__AOrderingByLess_7);
 CLS(3,_AOrderingByLess_6,__AOrderingByLess_6);
 CLS(3,_AOrderingByLess_5,__AOrderingByLess_5);
 CLS(3,_AOrderingByLess_4,__AOrderingByLess_4);
 CLS(3,_AOrderingByLess_3,__AOrderingByLess_3);
 MTH(3,0,1,_mt_3_0_1);LZYMTH(3,0,1,_mt_3_0_1);
 MTH(3,0,3,_mt_3_0_3);LZYMTH(3,0,3,_mt_3_0_3);
 MTH(3,1,2,_mt_3_1_2);LZYMTH(3,1,2,_mt_3_1_2);}

